<?php
session_start(); 


include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include "../phpconfig/slugfy.php";
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas

// ANTIGO titulo_pt

$cnae = mysql_real_escape_string($_POST['titulop']);

$info = mysql_real_escape_string($_POST['titulopb']);

// ANTIGO texto_pt

$a1 = mysql_real_escape_string($_POST['aa1']);
$a2 = mysql_real_escape_string($_POST['aa2']);
$a3 = mysql_real_escape_string($_POST['aa3']);
$a4 = mysql_real_escape_string($_POST['aa4']);
$a5 = mysql_real_escape_string($_POST['aa5']);
$a6 = mysql_real_escape_string($_POST['aa6']);
$a7 = mysql_real_escape_string($_POST['aa7']);
$a8 = mysql_real_escape_string($_POST['aa8']);
$a9 = mysql_real_escape_string($_POST['aa9']);
$a10 = mysql_real_escape_string($_POST['aa10']);

$a1_2 = mysql_real_escape_string($_POST['aa1_2']);
$a2_2 = mysql_real_escape_string($_POST['aa2_2']);
$a3_2 = mysql_real_escape_string($_POST['aa3_2']);
$a4_2 = mysql_real_escape_string($_POST['aa4_2']);
$a5_2 = mysql_real_escape_string($_POST['aa5_2']);
$a6_2 = mysql_real_escape_string($_POST['aa6_2']);
$a7_2 = mysql_real_escape_string($_POST['aa7_2']);
$a8_2 = mysql_real_escape_string($_POST['aa8_2']);
$a9_2 = mysql_real_escape_string($_POST['aa9_2']);
$a10_2 = mysql_real_escape_string($_POST['aa10_2']);


$a1_link = mysql_real_escape_string($_POST['aa1_link']);
$a2_link = mysql_real_escape_string($_POST['aa2_link']);
$a3_link = mysql_real_escape_string($_POST['aa3_link']);
$a4_link = mysql_real_escape_string($_POST['aa4_link']);
$a5_link = mysql_real_escape_string($_POST['aa5_link']);
$a6_link = mysql_real_escape_string($_POST['aa6_link']);
$a7_link = mysql_real_escape_string($_POST['aa7_link']);
$a8_link = mysql_real_escape_string($_POST['aa8_link']);
$a9_link = mysql_real_escape_string($_POST['aa9_link']);
$a10_link = mysql_real_escape_string($_POST['aa10_link']);



$tituloa1 = mysql_real_escape_string($_POST['tituloa1']);
$tituloa2 = mysql_real_escape_string($_POST['tituloa2']);
$tituloa3 = mysql_real_escape_string($_POST['tituloa3']);
$tituloa4 = mysql_real_escape_string($_POST['tituloa4']);
$tituloa5 = mysql_real_escape_string($_POST['tituloa5']);
$tituloa6 = mysql_real_escape_string($_POST['tituloa6']);
$tituloa7 = mysql_real_escape_string($_POST['tituloa7']);
$tituloa8 = mysql_real_escape_string($_POST['tituloa8']);
$tituloa9 = mysql_real_escape_string($_POST['tituloa9']);
$tituloa10 = mysql_real_escape_string($_POST['tituloa10']);


$a1_2 = mysql_real_escape_string($_POST['aa1_2']);

// serve para ativar o bairro ou a cidade

if(isset($_POST['ativo'])) 
{
	$ativo = 1;
}else{
	$ativo = 0;
}

if(isset($_POST['destaque'])) 
{
	$destaque = 1;
}else{
	$destaque = 0;
}

// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

$id_cidade = ($_POST['cidades']);

// ANTIGO texto_pt

$info = str_replace('../../assets/uploads/noticias/', 'images/', $info);
$info = str_replace('../../assets/uploads/noticias/', 'images/', $info);

    $data_cad      =troca_data($_POST['data']);
        $slug       = slugfyURL($_POST['slug']); 
$img = $_FILES['imagem'];

// ANTIGO titulo_pt


$slug = trim($slug);
if(strlen($slug)==0) { $slug=slugfyURL($cnae); }
$id = $_POST['id'];

$img = $_FILES['imagem'];


$uploadDir = sti('up')."noticias/";

$uploadDir  = $_SERVER['DOCUMENT_ROOT'] . $uploadDir;


$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir . $name ;


	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);

		// Resize image (options: exact, portrait (pela lagura), landscape(pela altura), auto, crop)
		$resizeObj -> resizeImage(800, 476, 'portrait');
		$resizeObj -> saveImage($uploadDir.'full-'.$name, 80);
		$resizeObj -> resizeImage(588, 350, 'crop');
		$resizeObj -> saveImage($uploadDir.$name, 80);
		
		
		
	
// ALTEARAR NOME DO BANCO



		mysql_query("UPDATE atividade_nivel_5 SET imagem='$name' WHERE id='$id'") or die(mysql_error());


	}
}



// ALTEARAR NOME DO BANCO



mysql_query("UPDATE info_estado SET  ativo='$ativo',


cnae='$cnae',
info='$info',



tituloa1='$tituloa1' ,
tituloa2='$tituloa2' ,
tituloa3='$tituloa3' ,
tituloa4='$tituloa4' ,
tituloa5='$tituloa5' ,
tituloa6='$tituloa6' ,
tituloa7='$tituloa7' ,
tituloa8='$tituloa8' ,
tituloa9='$tituloa9' ,
tituloa10='$tituloa10' ,



a1_link='$a1_link',
a2_link='$a2_link',
a3_link='$a3_link',
a4_link='$a4_link',
a5_link='$a5_link',
a6_link='$a6_link',
a7_link='$a7_link',
a8_link='$a8_link',
a9_link='$a9_link',
a10_link='$a10_link',



a1_2='$a1_2',
a2_2='$a2_2',
a3_2='$a3_2',
a4_2='$a4_2',
a5_2='$a5_2',
a6_2='$a6_2',
a7_2='$a7_2',
a8_2='$a8_2',
a9_2='$a9_2',
a10_2='$a10_2',

a1='$a1' ,
a2='$a2' ,
a3='$a3' ,
a4='$a4' ,
a5='$a5' ,
a6='$a6' ,
a7='$a7' ,
a8='$a8' ,
a9='$a9' ,

a10='$a10'  WHERE id='$id'", $con) or die(mysql_error());


  
header("location:edit.php?id=$id");